from db.MongoRepository import MongoRepository

import logging
LOGGER = logging.getLogger(__name__)

class MessageHandler:
    _mongo_repo = None

    def __init__(self):
        self._mongo_repo = MongoRepository()

    def handle_message(self, body):
        LOGGER.info(f"Received message: {body}")
        if not 'type' in body:
            LOGGER.warning(f"Message has no type field")
            return
        
        if body['type'] == 'blockchain-transaction':
            self.handle_blockchain_transaction(body['content'])
            
    def handle_blockchain_transaction(self, transaction):
        self._mongo_repo.insert_trace(transaction)
